OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ShapeAspectRelationship Class Reference

Representation of STEP entity ShapeAspectRelationship
.

`#include <StepRepr_ShapeAspectRelationship.hxx>`

Inheritance diagram for StepRepr_ShapeAspectRelationship:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_ShapeAspectRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_ShapeAspect)&aRelatingShapeAspect, const Handle(StepRepr_ShapeAspect)&aRelatedShapeAspect)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepRepr_ShapeAspect | RelatingShapeAspect () const
| Returns field RelatingShapeAspect .
Standard_EXPORT void | SetRelatingShapeAspect (const Handle(StepRepr_ShapeAspect)&RelatingShapeAspect)
| Set field RelatingShapeAspect .
Standard_EXPORT Handle_StepRepr_ShapeAspect | RelatedShapeAspect () const
| Returns field RelatedShapeAspect .
Standard_EXPORT void | SetRelatedShapeAspect (const Handle(StepRepr_ShapeAspect)&RelatedShapeAspect)
| Set field RelatedShapeAspect .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepRepr_ShapeAspect | theRelatingShapeAspect
Handle_StepRepr_ShapeAspect | theRelatedShapeAspect
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ShapeAspectRelationship::StepRepr_ShapeAspectRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ShapeAspectRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_ShapeAspectRelationship::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepRepr_ShapeAspectDerivingRelationship, StepRepr_ShapeAspectTransition, StepShape_AngularLocation, StepShape_DimensionalLocation, StepShape_DimensionalLocationWithPath, and StepShape_DirectedDimensionalLocation.

Standard_EXPORT Standard_Boolean StepRepr_ShapeAspectRelationship::HasDescription | ( |  | ) | const

Standard_EXPORT void StepRepr_ShapeAspectRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_ShapeAspect)& | aRelatingShapeAspect,
|  | const Handle(StepRepr_ShapeAspect)& | aRelatedShapeAspect
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ShapeAspectRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepRepr_ShapeAspectRelationship::RelatedShapeAspect | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepRepr_ShapeAspectRelationship::RelatingShapeAspect | ( |  | ) | const

Standard_EXPORT void StepRepr_ShapeAspectRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepRepr_ShapeAspectRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepRepr_ShapeAspectRelationship::SetRelatedShapeAspect | ( | const Handle(StepRepr_ShapeAspect)& | RelatedShapeAspect | ) |

Standard_EXPORT void StepRepr_ShapeAspectRelationship::SetRelatingShapeAspect | ( | const Handle(StepRepr_ShapeAspect)& | RelatingShapeAspect | ) |

## Field Documentation

Standard_Boolean StepRepr_ShapeAspectRelationship::defDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_ShapeAspectRelationship::theDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_ShapeAspectRelationship::theName`[private]`

Handle_StepRepr_ShapeAspect StepRepr_ShapeAspectRelationship::theRelatedShapeAspect`[private]`

Handle_StepRepr_ShapeAspect StepRepr_ShapeAspectRelationship::theRelatingShapeAspect`[private]`

The documentation for this class was generated from the following file:

- StepRepr_ShapeAspectRelationship.hxx